gstreamermm: Gst::MessageStateChanged Class Reference

gstreamermm 0.10.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions
Gst::MessageStateChanged Class Reference

A state change message. More...

Inheritance diagram for Gst::MessageStateChanged:
[legend]
Collaboration diagram for Gst::MessageStateChanged:
[legend]

List of all members.

## Public Member Functions
| MessageStateChanged (GstMessage* castitem)
void | parse (State& oldstate, State& newstate, State& pending) const
| Extracts the old, new and pending states from the Gst::MessageStateChanged.
State | parse () const
| Extracts and returns the new state from the Gst::MessageStateChanged.
State | parse_old () const
| Extracts and returns the old state from the Gst::MessageStateChanged.
State | parse_pending () const
| Extracts and returns the pending state from the Gst::MessageStateChanged.
## Static Public Member Functions
static Glib::RefPtr < Gst::MessageStateChanged > | create (const Glib::RefPtr< Gst::Object >& src, State oldstate, State newstate, State pending)
| Create a state change message.

## Detailed Description

A state change message.

See create() for more details.

## Constructor & Destructor Documentation

Gst::MessageStateChanged::MessageStateChanged | ( | GstMessage * | castitem | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::MessageStateChanged> Gst::MessageStateChanged::create | ( | const Glib::RefPtr< Gst::Object >& | src,
|  | State | oldstate,
|  | State | newstate,
|  | State | pending
| ) |  | `[static]`

Create a state change message.

This message is posted whenever an element changed its state.

Parameters:

  src | The object originating the message.
  oldstate | The previous state.
  newstate | The new (current) state.
  pending | The pending (target) state.

Returns:
  The new state change message. MT safe.

void Gst::MessageStateChanged::parse | ( | State& | oldstate,
|  | State& | newstate,
|  | State& | pending
| ) |  | const

Extracts the old, new and pending states from the Gst::MessageStateChanged.

MT safe.

Parameters:

  oldstate | The previous state.
  newstate | The new (current) state.
  pending | The pending (target) state.

State Gst::MessageStateChanged::parse | ( |  | ) | const

Extracts and returns the new state from the Gst::MessageStateChanged.

MT safe.

Returns:
  The new (current) state.

State Gst::MessageStateChanged::parse_old | ( |  | ) | const

Extracts and returns the old state from the Gst::MessageStateChanged.

MT safe.

Returns:
  The old state.

State Gst::MessageStateChanged::parse_pending | ( |  | ) | const

Extracts and returns the pending state from the Gst::MessageStateChanged.

MT safe.

Returns:
  The pending state.

The documentation for this class was generated from the following file:

- gstreamermm/message.h